package com.microservices.zone.project.domain.vo;

import com.alibaba.fastjson2.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author otto
 */
@ApiModel("项目属性键值对象")
public class ProjectPropertiesMap {

    @ApiModelProperty(value = "项目属性名称")
    private String name;

    @ApiModelProperty(value = "项目属性Key")
    private String key;

    @ApiModelProperty(value = "项目属性值")
    private Object value;

    public ProjectPropertiesMap(String name, Object value) {
        this.name = name;
        this.value = value;
    }

    public ProjectPropertiesMap(String name, String key, Object value) {
        this.name = name;
        this.key = key;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(JSONObject value) {
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setValue(Object value) {
        this.value = value;
    }
}
